{
  "name": "zm-face-counter",
  "version": "1.3.20",
  "private": true,
  "scripts": {
    "android": "react-native run-android",
    "start": "react-native start --port 8082",
    "test": "jest",
    "lint": "eslint --ext .js index.js src",
    "apk": "cd android && ./gradlew app:assembleRelease && cp ./app/build/outputs/apk/release/app-release.apk ../fcounter.apk",
    "android-staging": "code-push release-react ZmFaceCounter-android android -t '1.0.0' --des '1.3.19'",
    "android-product": "code-push promote ZmFaceCounter-android Staging Production --des '1.3.19'",
    "android-history": "code-push deployment history ZmFaceCounter-android Production",
    "android-rollback": "code-push rollback ZmFaceCounter-android Production"
  },
  "pre-commit": [
    "lint"
  ],
  "dependencies": {
    "@react-native-community/async-storage": "1.11.0",
    "antd-mobile-rn": "2.3.3",
    "axios": "0.19.2",
    "buffer": "6.0.3",
    "dva-core": "2.0.2",
    "moment": "2.27.0",
    "qs": "6.9.4",
    "react": "16.11.0",
    "react-native": "0.62.2",
    "react-native-agora": "3.0.1-beta.5",
    "react-native-background-timer": "2.2.0",
    "react-native-code-push": "^6.3.0",
    "react-native-keyevent": "0.2.8",
    "react-native-qrcode-svg": "6.0.6",
    "react-native-svg": "12.1.0",
    "react-native-swiper": "1.6.0",
    "react-native-vector-icons": "6.6.0",
    "react-redux": "7.2.0",
    "redux": "4.0.5",
    "socket.io-client": "2.0.4",
    "throttle-debounce": "2.2.1"
  },
  "devDependencies": {
    "@babel/core": "7.6.2",
    "@babel/plugin-proposal-decorators": "7.10.3",
    "@babel/runtime": "7.6.2",
    "@react-native-community/eslint-config": "0.0.5",
    "babel-jest": "24.9.0",
    "babel-plugin-import": "1.13.0",
    "babel-plugin-transform-decorators-legacy": "1.3.5",
    "eslint": "6.5.1",
    "jest": "24.9.0",
    "metro-react-native-babel-preset": "0.58.0",
    "pre-commit": "1.2.2",
    "react-test-renderer": "16.11.0"
  },
  "jest": {
    "preset": "react-native"
  }
}
